var xmlhttp=false;
/*@cc_on @*/
/*@if (@_jscript_version >= 5)
try
{
	xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
}
catch (e)
{
	try
	{
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}
	catch (E)
	{
		xmlhttp = false;
	}
}
@end @*/
if (!xmlhttp && typeof XMLHttpRequest!='undefined')
{
	xmlhttp = new XMLHttpRequest();
}
ajax_vrij = "ja";
function buy_home_ok()
{
	if (ajax_vrij == "ja")
	{
	 	ajax_vrij = "nee";
		xmlhttp.open("GET", "hotel/koop_item.php?jouwnaam="+jouwnaam+"&pass="+jouwpass+"&aantal=1&cat="+koop_cat+"&catnr="+koop_catnr+"&koop_modus=zelf&kado_voorwie=&kado_text=&random="+Math.round(9000*Math.random()),true);
    	xmlhttp.onreadystatechange=function()
    	{
	   		if (xmlhttp.readyState==4)
       		{
	       		if(xmlhttp.status == 200)
	 			{
		 			alert("Jeuh! Je aankoop wordt bezorgd!");
	 			}
	 			ajax_vrij = "ja";
       		}
    	}
    	xmlhttp.send(null);
	}
	else
    {
	   	setTimeout("buy_home_ok();", 1000);
    }
}
function buy_home(cat, catnr, price)
{
	jouwgeld = document.getElementById('jouw_geld').innerHTML;
	koop_ok = "nee";
	if (jouwgeld >= price)
	{
		koop_ok = "ja";
	}
	if (jouwnaam == "thomas")
	{
		koop_ok = "ja";
	}
	if (koop_ok == "ja")
	{
		if (price == 1)
		{
			credits_show1 = "Credit";
		}
		else
		{
			credits_show1 = "Credits";
		}
		if (jouwgeld == 1)
		{
			credits_show2 = "Credit";
		}
		else
		{
			credits_show2 = "Credits";
		}
		koop_cat = cat;
		koop_catnr = catnr;
		buy_home_ok();
		jouwgeld = jouwgeld - price;
		document.getElementById('jouw_geld').innerHTML = jouwgeld;
	}
	else
	{
		alert("Je hebt niet genoeg Credits in je Portemonnee.");
	}
}